Skip to main content
POST
/
api
/
v1
/
tokenization
/
collections
/
{id}
/
tokens
/
burn
Burn token
curl --request POST \
  --url https://sandbox.oumla.com/api/v1/tokenization/collections/{id}/tokens/burn \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>' \
  --data '
{
  "addressId": "<string>",
  "clientShare": "<string>",
  "tokenId": "<string>",
  "amount": "<string>",
  "from": "<string>"
}
'
import requests

url = "https://sandbox.oumla.com/api/v1/tokenization/collections/{id}/tokens/burn"

payload = {
"addressId": "<string>",
"clientShare": "<string>",
"tokenId": "<string>",
"amount": "<string>",
"from": "<string>"
}
headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-sdk-version': '<x-sdk-version>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
addressId: '<string>',
clientShare: '<string>',
tokenId: '<string>',
amount: '<string>',
from: '<string>'
})
};

fetch('https://sandbox.oumla.com/api/v1/tokenization/collections/{id}/tokens/burn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workflowResult": {
    "workflowId": "<string>",
    "operationId": "<string>",
    "message": "<string>"
  }
}
{
"code": "ERR_010",
"message": "The request could not be processed.",
"category": "VALIDATION",
"statusCode": 400,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_066",
"message": "Contract not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Path Parameters

id
string
required

Collection ID

Body

application/json
addressId
string
required
clientShare
string
required
tokenId
string
required
amount
string
from
string

Response

Burn token

workflowResult
object
required